This method is used to change the password for an account member. It uses ChangePasswordArg with the following information to change the account member’s password.
Schema
| Name | Schema Type | Description |
|---|---|---|
| EmailAddress | String | The email address for the account member. |
| OldPassword | String | The account member’s old password. |
| NewPassword | String | The new password for the account member. |
| ForgottenPasswordQuestion | String | The member’s forgotten password question. Note: The number of forgotten password questions and answers required is set in the Password Strength Settings for your account. |
| ForgottenPasswordAnswer | String | The answer to the member’s forgotten password question. |
| ForgottenPasswordQuestion2 | String | The member’s second forgotten password question. |
| ForgottenPasswordAnswer2 | String | The answer to the member’s second forgotten password question. |
| ForgottenPasswordQuestion3 | String | The member’s third forgotten password question. |
| ForgottenPasswordAnswer3 | String | The answer to the member’s third forgotten password question. |
| ForgottenPasswordQuestion4 | String | The member’s fourth forgotten password question. |
| ForgottenPasswordAnswer4 | String | The answer to the member’s fourth forgotten password question. |
Sample Request XML
POST /api/3.0/accountmanagement.asmx HTTP/1.1Host: docusign.netContent-Type: text/xml; charset=utf-8Content-Length: lengthSOAPAction: "http://www.docusign.net/API/AccountManagement/ChangePassword"<?xml version="1.0" encoding="utf-8"?><soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"><soap: Body><ChangePassword xmlns="http://www.docusign.net/API/AccountManagement"><ChangePasswordArg><EmailAddress>string</EmailAddress><OldPassword>string</OldPassword><NewPassword>string</NewPassword><ForgottenPasswordQuestion>string</ForgottenPasswordQuestion><ForgottenPasswordAnswer>string</ForgottenPasswordAnswer><ForgottenPasswordQuestion2>string</ForgottenPasswordQuestion2><ForgottenPasswordAnswer2>string</ForgottenPasswordAnswer2><ForgottenPasswordQuestion3>string</ForgottenPasswordQuestion3><ForgottenPasswordAnswer3>string</ForgottenPasswordAnswer3><ForgottenPasswordQuestion4>string</ForgottenPasswordQuestion4><ForgottenPasswordAnswer4>string</ForgottenPasswordAnswer4></ChangePasswordArg></ChangePassword></soap:Body></soap:Envelope>
The response contains either a success or failure. If the call fails an error code is provided.
Sample Response XML
HTTP/1.1 200 OKContent-Type: text/xml; charset=utf-8Content-Length: length<?xml version="1.0" encoding="utf-8"?><soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"><soap: Body><ChangePasswordResponse xmlns="http://www.docusign.net/API/AccountManagement"><ChangePasswordResult><Success>boolean</Success><Error><ErrorCode>Unspecified_Error or Invalid_Account_ID or Account_Requires_User_Name_And_Password_For_Activation or Account_Is_Already_Activated_For_Salesforce or Invalid_Distributor_For_Account or Invalid_User_ID or Invalid_Account or User_Is_Not_An_Account_Manager or Invalid_Login or Invalid_Member_User_Name or Invalid_Member_Email or Member_Email_Not_Allowed or Member_Email_And_User_Name_Awaiting_Activation or Member_Email_And_User_Name_Already_Exists_For_This_Account or Member_Password_Blank or Member_Forgotten_Password_Question_Blank or Member_Forgotten_Password_Answer_Blank or Invalid_Password_Format or Invalid_Member_Data or Member_Email_And_User_Name_Already_Exists or Not_Authorized or Invalid_Distributor_Selected or Invalid_PGP_For_Distributor or Invalid_Credit_Card_Type or CreditCard_Auth_Failed or Invalid_PGP or Invalid_Plan_Retired or Invalid_Successor_Plan or Invalid_Credit_Card or Credit_Card_Expiration or Invalid_AppToken or Distributor_Not_Enabled_For_AppToken or Plan_Group_Not_Enabled_For_Distributor or Invalid_Configuration_Number or Invalid_Salesforce_Credentials or Invalid_Salesforce_External_Instance_ID or Invalid_Docusign_Connect_Configuration_For_Account or Invalid_User or Invalid_Membership or Invalid_Account_Member or Invalid_Edit_User or Invalid_Edit_Membership or Invalid_CanEditSharedAddressBook_Value or Invalid_CanManageTemplates_Value or Invalid_Membership_ID or Invalid_Request or Partner_Authentication_Failed or Hourly_API_Invocation_Limit_Exceeded or Initialize_Client_Account_Error</ErrorCode><Description>string</Description></Error></ChangePasswordResult></ChangePasswordResponse></soap:Body></soap:Envelope>